Online banking

Online banking

cancel
Showing results for 
Search instead for 
Did you mean: 
77841members
22547posts

Mobile Banking App

Why am I getting a 'device not compatible' error message in the Google Play Store?

We're aware of an issue where some people get a "Device not compatible" error message in the Google Play Store when trying to download our Mobile App, even though we should support the phone. This is an error that has appeared on a number of other apps in the Google Play Store including apps such as Instagram and Clash of Clans.

 

If you are sure that your current Android device isn’t running on an older version of Android and your device’s hardware is supported by the application then it may be due to some bugs in your Android device or the Google Play Store application.

 

As a workaround, we suggest trying one or both of the methods below:

 

Method 1

* Clear the Google Play Store from running in the background of your Android device.
* Launch the Settings app on your Android device.
* Click on the “Application Manager” option.
* Then find the “Google Play Services” listing and click on the same.
* Click on the “Clear Cache” button.

 

Method 2

* Go to the Settings app on your device.
* Click on “Application Manager”.
* Find “Google Play Store” and click on the same.
* Click on the “Uninstall Updates” button.
* Click on the “OK” button.

 

This will remove all the recent updates to Google Play Store, which may be causing the error.

 

This should erase everything, and get rid of any corrupt files that seem to be causing this problem. If you have tried these methods and have been successful or if you are still experiencing issues please let us know in the comments below.

Comments

I have a Galaxy S3 (GT-19305) running Android 4.4.4 which is  getting a 'device not compatible' error message in the Google Play Store. The workarounds aren't solving the problem.

Brian

Hi @Brindles, thanks for getting in touch. If you've completed all the above workarounds, it sounds like your device's hardware isn't supported by the application, I'm afraid. You should still be able to access your online banking directly through your internet browser. Apologies for any inconvenience. 

Thanks for the quick reply KerryL. Where would I find a list of the phones that support the application please?

Brian

I don't have a list of phones we support I'm afraid, this is because the phone market is because of the evolving and varied nature of the phone market. However, I can confirm at this time we support Android 5.0 and upwards! - John

I'm trying to set up my Card Card and nothing is happening 

It's saying this Apple device is no longer 

Hi @Elroysiebel, thanks for your message. Could you confirm the type of iPad you're using along with the iOS you're running please? - Ainsley

Tried bothoptions but still says device not compatible even though it is Android v7. You obviously have a problem with the new app

Hey @terrybott, I'm sorry to hear this, Which device are you using? 

My device is a Bush Spira B10 (Archos). Previously no problem with the app but now will nit allow update to latest version